代码拉取完成,页面将自动刷新
同步操作将从 src-openEuler/linux-sgx 强制同步,此操作会覆盖自 Fork 仓库以来所做的任何修改,且无法恢复!!!
确定后同步将在后台操作,完成时将刷新页面,请耐心等待。
From 182690045036bfc425e3a38384691cbf42ccc006 Mon Sep 17 00:00:00 2001
From: wangcheng <wangcheng156@huawei.com>
Date: Thu, 16 Dec 2021 04:51:21 +0000
Subject: [PATCH] disable the download process in building
Signed-off-by: zhoushuiqing <zhoushuiqing2@huawei.com>
---
Makefile | 8 +--
.../QuoteVerification/prepare_sgxssl.sh | 62 +++++++++----------
2 files changed, 35 insertions(+), 35 deletions(-)
diff --git a/Makefile b/Makefile
index 8bd287c..7f91fa3 100644
--- a/Makefile
+++ b/Makefile
@@ -50,14 +50,14 @@ tips:
preparation:
# As SDK build needs to clone and patch openmp, we cannot support the mode that download the source from github as zip.
# Only enable the download from git
- git submodule update --init --recursive
- ./external/dcap_source/QuoteVerification/prepare_sgxssl.sh nobuild
+ # git submodule update --init --recursive
+ # ./external/dcap_source/QuoteVerification/prepare_sgxssl.sh nobuild
cd external/openmp/openmp_code && git apply ../0001-Enable-OpenMP-in-SGX.patch >/dev/null 2>&1 || git apply ../0001-Enable-OpenMP-in-SGX.patch --check -R
cd external/protobuf/protobuf_code && git apply ../sgx_protobuf.patch >/dev/null 2>&1 || git apply ../sgx_protobuf.patch --check -R
./external/sgx-emm/create_symlink.sh
@# download prebuilt binaries
- ./download_prebuilt.sh
- ./external/dcap_source/QuoteGeneration/download_prebuilt.sh
+ # ./download_prebuilt.sh
+ # ./external/dcap_source/QuoteGeneration/download_prebuilt.sh
psw:
$(MAKE) -C psw/ USE_OPT_LIBS=$(USE_OPT_LIBS)
diff --git a/external/dcap_source/QuoteVerification/prepare_sgxssl.sh b/external/dcap_source/QuoteVerification/prepare_sgxssl.sh
index 60ff2b1..5e44288 100755
--- a/external/dcap_source/QuoteVerification/prepare_sgxssl.sh
+++ b/external/dcap_source/QuoteVerification/prepare_sgxssl.sh
@@ -44,37 +44,37 @@ full_openssl_url_old=$server_url_path/old/1.1.1/$openssl_ver_name.tar.gz
sgxssl_chksum=bff5a9059911846e27447acb402c4690346abf46da8e1c26b66d406e8abb1588
openssl_chksum=8dee9b24bdb1dcbf0c3d1e9b02fb8f6bf22165e807f45adeb7c9677536859d3b
-rm -f check_sum_sgxssl.txt check_sum_openssl.txt
-if [ ! -f $build_script ]; then
- wget $sgxssl_github_archive/$sgxssl_file_name.zip -P $sgxssl_dir/ || exit 1
- sha256sum $sgxssl_dir/$sgxssl_file_name.zip > $sgxssl_dir/check_sum_sgxssl.txt
- grep $sgxssl_chksum $sgxssl_dir/check_sum_sgxssl.txt
- if [ $? -ne 0 ]; then
- echo "File $sgxssl_dir/$sgxssl_file_name.zip checksum failure"
- rm -f $sgxssl_dir/$sgxssl_file_name.zip
- exit -1
- fi
- unzip -qq $sgxssl_dir/$sgxssl_file_name.zip -d $sgxssl_dir/ || exit 1
- mv $sgxssl_dir/intel-sgx-ssl-$sgxssl_file_name/* $sgxssl_dir/ || exit 1
- rm $sgxssl_dir/$sgxssl_file_name.zip || exit 1
- rm -rf $sgxssl_dir/intel-sgx-ssl-$sgxssl_file_name || exit 1
-fi
-
-if [ ! -f $openssl_out_dir/$openssl_ver_name.tar.gz ]; then
- wget $full_openssl_url_old -P $openssl_out_dir || wget $full_openssl_url -P $openssl_out_dir || exit 1
- sha256sum $openssl_out_dir/$openssl_ver_name.tar.gz > $sgxssl_dir/check_sum_openssl.txt
- grep $openssl_chksum $sgxssl_dir/check_sum_openssl.txt
- if [ $? -ne 0 ]; then
- echo "File $openssl_out_dir/$openssl_ver_name.tar.gz checksum failure"
- rm -f $openssl_out_dir/$openssl_ver_name.tar.gz
- exit -1
- fi
-fi
-
-
-if [ "$1" = "nobuild" ]; then
- exit 0
-fi
+# rm -f check_sum_sgxssl.txt check_sum_openssl.txt
+# if [ ! -f $build_script ]; then
+# wget $sgxssl_github_archive/$sgxssl_file_name.zip -P $sgxssl_dir/ || exit 1
+# sha256sum $sgxssl_dir/$sgxssl_file_name.zip > $sgxssl_dir/check_sum_sgxssl.txt
+# grep $sgxssl_chksum $sgxssl_dir/check_sum_sgxssl.txt
+# if [ $? -ne 0 ]; then
+# echo "File $sgxssl_dir/$sgxssl_file_name.zip checksum failure"
+# rm -f $sgxssl_dir/$sgxssl_file_name.zip
+# exit -1
+# fi
+# unzip -qq $sgxssl_dir/$sgxssl_file_name.zip -d $sgxssl_dir/ || exit 1
+# mv $sgxssl_dir/intel-sgx-ssl-$sgxssl_file_name/* $sgxssl_dir/ || exit 1
+# rm $sgxssl_dir/$sgxssl_file_name.zip || exit 1
+# rm -rf $sgxssl_dir/intel-sgx-ssl-$sgxssl_file_name || exit 1
+# fi
+#
+# if [ ! -f $openssl_out_dir/$openssl_ver_name.tar.gz ]; then
+# wget $full_openssl_url_old -P $openssl_out_dir || wget $full_openssl_url -P $openssl_out_dir || exit 1
+# sha256sum $openssl_out_dir/$openssl_ver_name.tar.gz > $sgxssl_dir/check_sum_openssl.txt
+# grep $openssl_chksum $sgxssl_dir/check_sum_openssl.txt
+# if [ $? -ne 0 ]; then
+# echo "File $openssl_out_dir/$openssl_ver_name.tar.gz checksum failure"
+# rm -f $openssl_out_dir/$openssl_ver_name.tar.gz
+# exit -1
+# fi
+# fi
+#
+#
+# if [ "$1" = "nobuild" ]; then
+# exit 0
+# fi
pushd $sgxssl_dir/Linux/
make clean sgxssl_no_mitigation
--
2.33.0
此处可能存在不合适展示的内容,页面不予展示。您可通过相关编辑功能自查并修改。
如您确认内容无涉及 不当用语 / 纯广告导流 / 暴力 / 低俗色情 / 侵权 / 盗版 / 虚假 / 无价值内容或违法国家有关法律法规的内容,可点击提交进行申诉,我们将尽快为您处理。